/*    */ package org.hibernate.cfg.annotations;
/*    */ 
/*    */ import java.util.Collections;
/*    */ import java.util.Map;
/*    */ import org.hibernate.AnnotationException;
/*    */ import org.hibernate.annotations.CollectionId;
/*    */ import org.hibernate.annotations.Type;
/*    */ import org.hibernate.annotations.common.reflection.XClass;
/*    */ import org.hibernate.annotations.common.reflection.XProperty;
/*    */ import org.hibernate.cfg.BinderHelper;
/*    */ import org.hibernate.cfg.Ejb3Column;
/*    */ import org.hibernate.cfg.Ejb3JoinColumn;
/*    */ import org.hibernate.cfg.ExtendedMappings;
/*    */ import org.hibernate.cfg.PropertyData;
/*    */ import org.hibernate.cfg.PropertyHolder;
/*    */ import org.hibernate.cfg.PropertyInferredData;
/*    */ import org.hibernate.cfg.WrappedInferredData;
/*    */ import org.hibernate.mapping.Collection;
/*    */ import org.hibernate.mapping.IdentifierBag;
/*    */ import org.hibernate.mapping.IdentifierCollection;
/*    */ import org.hibernate.mapping.PersistentClass;
/*    */ import org.hibernate.mapping.SimpleValue;
/*    */ import org.hibernate.mapping.Table;
/*    */ import org.hibernate.util.StringHelper;
/*    */ 
/*    */ public class IdBagBinder
/*    */   extends BagBinder
/*    */ {
/*    */   protected Collection createCollection(PersistentClass persistentClass)
/*    */   {
/* 31 */     return new IdentifierBag(persistentClass);
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   protected boolean bindStarToManySecondPass(Map persistentClasses, XClass collType, Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, boolean isEmbedded, XProperty property, boolean unique, TableBinder associationTableBinder, boolean ignoreNotFound, ExtendedMappings mappings)
/*    */   {
/* 40 */     boolean result = super.bindStarToManySecondPass(persistentClasses, collType, fkJoinColumns, keyColumns, inverseColumns, elementColumns, isEmbedded, property, unique, associationTableBinder, ignoreNotFound, mappings);
/*    */     
/*    */ 
/*    */ 
/* 44 */     CollectionId collectionIdAnn = (CollectionId)property.getAnnotation(CollectionId.class);
/* 45 */     if (collectionIdAnn != null) {
/* 46 */       SimpleValueBinder simpleValue = new SimpleValueBinder();
/*    */       
/* 48 */       PropertyData propertyData = new WrappedInferredData(new PropertyInferredData(property, null, mappings.getReflectionManager()), "id");
/*    */       
/*    */ 
/*    */ 
/* 52 */       Ejb3Column[] idColumns = Ejb3Column.buildColumnFromAnnotation(collectionIdAnn.columns(), null, Nullability.FORCED_NOT_NULL, this.propertyHolder, propertyData, Collections.EMPTY_MAP, mappings);
/*    */       
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/* 61 */       Table table = this.collection.getCollectionTable();
/* 62 */       simpleValue.setTable(table);
/* 63 */       simpleValue.setColumns(idColumns);
/* 64 */       Type typeAnn = collectionIdAnn.type();
/* 65 */       if ((typeAnn != null) && (!BinderHelper.isDefault(typeAnn.type()))) {
/* 66 */         simpleValue.setExplicitType(typeAnn);
/*    */       }
/*    */       else {
/* 69 */         throw new AnnotationException("@CollectionId is missing type: " + StringHelper.qualify(this.propertyHolder.getPath(), this.propertyName));
/*    */       }
/*    */       
/* 72 */       simpleValue.setMappings(mappings);
/* 73 */       SimpleValue id = simpleValue.make();
/* 74 */       ((IdentifierCollection)this.collection).setIdentifier(id);
/* 75 */       String generator = collectionIdAnn.generator();
/*    */       String generatorType;
/* 77 */       if (("identity".equals(generator)) || ("assigned".equals(generator)) || ("sequence".equals(generator)) || ("native".equals(generator)))
/*    */       {
/* 79 */         String generatorType = generator;
/* 80 */         generator = "";
/*    */       }
/*    */       else {
/* 83 */         generatorType = null;
/*    */       }
/* 85 */       BinderHelper.makeIdGenerator(id, generatorType, generator, mappings, this.localGenerators);
/*    */     }
/* 87 */     return result;
/*    */   }
/*    */ }


/* Location:              C:\Users\anandkum\Desktop\source\hibernate-annotations-3.3.1.GA.jar!\org\hibernate\cfg\annotations\IdBagBinder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */