/*     */ package org.hibernate.ejb;
/*     */ 
/*     */ import java.util.Map;
/*     */ import javax.persistence.EntityManagerFactory;
/*     */ import javax.persistence.spi.PersistenceProvider;
/*     */ import javax.persistence.spi.PersistenceUnitInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HibernatePersistence
/*     */   implements PersistenceProvider
/*     */ {
/*     */   public static final String PROVIDER = "javax.persistence.provider";
/*     */   public static final String TRANSACTION_TYPE = "javax.persistence.transactionType";
/*     */   public static final String JTA_DATASOURCE = "javax.persistence.jtaDataSource";
/*     */   public static final String NON_JTA_DATASOURCE = "javax.persistence.nonJtaDataSource";
/*     */   public static final String AUTODETECTION = "hibernate.archive.autodetection";
/*     */   public static final String CFG_FILE = "hibernate.ejb.cfgfile";
/*     */   public static final String CLASS_CACHE_PREFIX = "hibernate.ejb.classcache";
/*     */   public static final String COLLECTION_CACHE_PREFIX = "hibernate.ejb.collectioncache";
/*     */   public static final String INTERCEPTOR = "hibernate.ejb.interceptor";
/*     */   public static final String SESSION_INTERCEPTOR = "hibernate.ejb.interceptor.session_scoped";
/*     */   public static final String NAMING_STRATEGY = "hibernate.ejb.naming_strategy";
/*     */   public static final String EVENT_LISTENER_PREFIX = "hibernate.ejb.event";
/*     */   public static final String USE_CLASS_ENHANCER = "hibernate.ejb.use_class_enhancer";
/*     */   public static final String DISCARD_PC_ON_CLOSE = "hibernate.ejb.discard_pc_on_close";
/*     */   public static final String CONFIGURATION_JNDI_NAME = "hibernate.ejb.configuration_jndi_name";
/*     */   public static final String CLASS_NAMES = "hibernate.ejb.classes";
/*     */   public static final String PACKAGE_NAMES = "hibernate.ejb.packages";
/*     */   public static final String XML_FILE_NAMES = "hibernate.ejb.xml_files";
/*     */   public static final String HBXML_FILES = "hibernate.hbmxml.files";
/*     */   public static final String LOADED_CLASSES = "hibernate.ejb.loaded.classes";
/*     */   public static final String JACC_CONTEXT_ID = "hibernate.jacc.ctx.id";
/*     */   public static final String JACC_PREFIX = "hibernate.jacc";
/*     */   public static final String JACC_ENABLED = "hibernate.jacc.enabled";
/*     */   public static final String PERSISTENCE_UNIT_NAME = "hibernate.ejb.persistenceUnitName";
/*     */   
/*     */   public EntityManagerFactory createEntityManagerFactory(String persistenceUnitName, Map overridenProperties)
/*     */   {
/* 124 */     Ejb3Configuration cfg = new Ejb3Configuration();
/* 125 */     Ejb3Configuration configured = cfg.configure(persistenceUnitName, overridenProperties);
/* 126 */     return configured != null ? configured.buildEntityManagerFactory() : null;
/*     */   }
/*     */   
/*     */   public EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info, Map map) {
/* 130 */     Ejb3Configuration cfg = new Ejb3Configuration();
/* 131 */     Ejb3Configuration configured = cfg.configure(info, map);
/* 132 */     return configured != null ? configured.buildEntityManagerFactory() : null;
/*     */   }
/*     */   
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public EntityManagerFactory createEntityManagerFactory(Map properties)
/*     */   {
/* 141 */     Ejb3Configuration cfg = new Ejb3Configuration();
/* 142 */     return cfg.createEntityManagerFactory(properties);
/*     */   }
/*     */ }


/* Location:              C:\Users\anandkum\Desktop\source\hibernate-entitymanager-3.3.2.GA.jar!\org\hibernate\ejb\HibernatePersistence.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */