/*    */ package org.hibernate.ejb.util;
/*    */ 
/*    */ import java.net.URL;
/*    */ import java.util.Enumeration;
/*    */ import java.util.List;
/*    */ import java.util.Properties;
/*    */ import javax.persistence.spi.PersistenceUnitInfo;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class LogHelper
/*    */ {
/*    */   public static String logPersistenceUnitInfo(PersistenceUnitInfo unitInfo)
/*    */   {
/* 18 */     StringBuilder sb = new StringBuilder();
/* 19 */     sb.append("PersistenceUnitInfo [\n\t").append("name: ").append(unitInfo.getPersistenceUnitName()).append("\n\t").append("persistence provider classname: ").append(unitInfo.getPersistenceProviderClassName()).append("\n\t").append("classloader: ").append(unitInfo.getClassLoader()).append("\n\t").append("Temporary classloader: ").append(unitInfo.getNewTempClassLoader()).append("\n\t").append("excludeUnlistedClasses: ").append(unitInfo.excludeUnlistedClasses()).append("\n\t").append("JTA datasource: ").append(unitInfo.getJtaDataSource()).append("\n\t").append("Non JTA datasource: ").append(unitInfo.getNonJtaDataSource()).append("\n\t").append("Transaction type: ").append(unitInfo.getTransactionType()).append("\n\t").append("PU root URL: ").append(unitInfo.getPersistenceUnitRootUrl()).append("\n\t");
/*    */     
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/* 47 */     sb.append("Jar files URLs [");
/* 48 */     List<URL> jarFileUrls = unitInfo.getJarFileUrls();
/* 49 */     for (URL url : jarFileUrls) {
/* 50 */       sb.append("\n\t\t").append(url);
/*    */     }
/* 52 */     sb.append("]\n\t");
/* 53 */     sb.append("Managed classes names [");
/* 54 */     List<String> classesNames = unitInfo.getManagedClassNames();
/* 55 */     for (String clazz : classesNames) {
/* 56 */       sb.append("\n\t\t").append(clazz);
/*    */     }
/* 58 */     sb.append("]\n\t");
/* 59 */     sb.append("Mapping files names [");
/* 60 */     List<String> mappingFiles = unitInfo.getMappingFileNames();
/* 61 */     for (String file : mappingFiles) {
/* 62 */       sb.append("\n\t\t").append(file);
/*    */     }
/* 64 */     sb.append("]\n\t");
/* 65 */     sb.append("Properties [");
/* 66 */     Properties properties = unitInfo.getProperties();
/* 67 */     Enumeration names = properties.propertyNames();
/* 68 */     while (names.hasMoreElements()) {
/* 69 */       String name = (String)names.nextElement();
/* 70 */       sb.append("\n\t\t").append(name).append(": ").append(properties.getProperty(name));
/*    */     }
/* 72 */     sb.append("]");
/* 73 */     return sb.toString();
/*    */   }
/*    */ }


/* Location:              C:\Users\anandkum\Desktop\source\hibernate-entitymanager-3.3.2.GA.jar!\org\hibernate\ejb\util\LogHelper.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */